<?php 
session_start();
ob_start(); 
include "header.php";
//$objIms->Semifinisheditem_alter();

function callvalue($sale_no,$val)
{
   $sql_viewtmp="select sum(qty*unit_price) as taxvalue from view_sales_mstrdet where  sale_no='$sale_no' and cgst='$val' group by client_id";
				$res_viewtmp=mysql_query($sql_viewtmp);
				$rsw=mysql_fetch_array($res_viewtmp);
				if(isset($rsw["taxvalue"]))
				{
				$showamt=$rsw["taxvalue"];
				}
				else
				{
				 $showamt=0;
				}
				 
				return $showamt;
}

function callvaluetotal($s_date,$end_date,$client_id,$val)
{
   $sql_viewtmp="select sum(qty*unit_price) as taxvalue from view_sales_mstrdet where  stampdate>='$s_date' and stampdate<='$end_date' and client_id='$client_id' and cgst='$val' group by client_id";
				$res_viewtmp=mysql_query($sql_viewtmp);
				$rsw=mysql_fetch_array($res_viewtmp);
				if(isset($rsw["taxvalue"]))
				{
				$showamt=$rsw["taxvalue"];
				}
				else
				{
				 $showamt=0;
				}
				 
				return $showamt;
}


?>


	<script>
	$(document).ready(function() {
  $("#btnExport").click(function(e) {
    e.preventDefault();

    //getting data from our table
    var data_type = 'data:application/vnd.ms-excel';
    var table_div = document.getElementById('table_wrapper');
    var table_html = table_div.outerHTML.replace(/ /g, '%20');

    var a = document.createElement('a');
    a.href = data_type + ', ' + table_html;
    a.download = document.getElementById('rahul').value + '.xls';
    a.click();
  });
});
</script>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Untitled Document</title>

		
	
		 <style>
			select.error { background-color:#ffa8a8; border: 1px dotted red;  }
			input.error{ background-color:#ffa8a8;   }
			textarea.error{ background-color:#ffa8a8; border: 1px dotted red;  }
         </style>
		 
        


<style type="text/css">
<!--
.table_bg{ border:#CCCCCC solid 1px; border-radius:5px; height:auto; width:auto; padding:20px; margin-bottom:10px;}


-->
</style>
</head>
<script type="text/javascript">
 
function printDiv(divName) {
     var printContents = document.getElementById(divName).innerHTML;
     var originalContents = document.body.innerHTML;

     document.body.innerHTML = printContents;

     window.print();

     document.body.innerHTML = originalContents;
}

</script>

<body>

<div class="span11" style=" width:83%;">



<div class="12" style=" margin-left:0px; ">



<br />
<br />
<br />

<div class="12" style=" margin-left:0px;">

<div class="panel" style="border:<?php echo THEMECOLOR?> solid 1px; border-radius:0px;">
<div class="entry-head" >
<h4>View GSTR1 B2B Report</div>
<p>&nbsp;</p>
<form name="form1" id="form1" method="post">
  <table width="100%" border="0" align="center">
    <tr>
      <td width="6%" height="49" nowrap="nowrap"><strong>From Date </strong></td>
      <td width="1%"><strong>:</strong></td>
      <td width="15%"><input name="s_date" type="text" class="tcal" id="s_date" readonly=""  value="<?php if(isset($_POST["s_date"])){echo $_POST["s_date"];}else{echo date('d-m-Y');}?>"/></td>
      <td width="7%"><strong>To Date </strong></td>
      <td width="1%"><strong>:</strong></td>
      <td width="23%"><input name="end_date" type="text" class="tcal" id="end_date" readonly=""  value="<?php if(isset($_POST["end_date"])){echo $_POST["end_date"];}else{echo date('d-m-Y');}?>" /></td>
      
      <td width="22%"><input type="submit" name="Choose" value="Choose" class="btn btn-info" /></td>
      </tr>
  </table>
  
  <table  width="100%" border="0" align="center">
  <tr>
  <td width="39%"><div align="right">Client Name</div></td>
      <td width="19%">
	    <div align="center">
	      <select name="client_name" id="client_name" style="width:200px;"  class="required">
	        <option value="">---Please Select---</option>
	        <?php 
							$sqlc="select client_id,client_name from view_sales_mstrdet where  stampdate>='".$objIms->DateToInt($_POST["s_date"])."' and stampdate<='".$objIms->DateToInt($_POST["end_date"])."' and cancel_status=0 and tin_no<>'' group by client_id";
							//echo $sqlc;
							$c=mysql_query($sqlc);
							if(mysql_num_rows($c)>0){
							while($cs=mysql_fetch_array($c))
							{?>
	        <option value="<?=$cs["client_id"];?>" <?php if(($cs["client_id"])==$_POST["client_name"]){ ?> selected="selected" <?php }?>>
	          <?=$cs["client_name"];?>
	          </option>
	        <?php }}?>
	            </select>
        </div></td>
	<td width="42%"><input type="submit" name="Search" value="Search" class="btn btn-info" /></td>
	</tr>
  </table>
  
</form>
<br />

<?php 
if(isset($_POST["Search"]))
{
$s_date=$objIms->DateToInt($_POST["s_date"]);
$end_date=$objIms->DateToInt($_POST["end_date"]);
$client_id=$_POST["client_name"];
$sqlqw="select * from tbl_client where id='$client_id' order by client_name";
							//echo $sqlc;
							$qw=mysql_query($sqlqw);							
							$rwqw=mysql_fetch_array($qw);
							$client_name=$rwqw["client_name"];

?>
     
       <input type="hidden" name="rahul" id="rahul" value="<?=$client_name?>" />     
		
            <?php 
				   $sql_viewtmp="select *,sum((qty*unit_price)+(qty*unit_price*(cgst/100))+(qty*unit_price*(sgst/100))) as taxvalue from view_sales_mstrdet where  stampdate>='$s_date' and stampdate<='$end_date' and client_id='$client_id' and cancel_status=0 and tin_no<>'' group by client_id,sale_no";
				$res_viewtmp=mysql_query($sql_viewtmp);
				if(mysql_num_rows($res_viewtmp)>0)
				{ 
					$i=1;
					$sums=0;
					$tottaxval=0;
					$totcgst=0;
					$totsgst=0;
					$totigst=0;
					?>
					<div id="table_wrapper">
					<div id="printableArea">
					<div class="panel">
					<div class="panel-heading">GSTR1 B2B Report For <strong><?=$client_name?></strong> From <?php echo $_POST["s_date"];?> To <?php echo $_POST["end_date"];?></div>
					<p>&nbsp;</p>
                     <table width="100%" class="table table-bordered">
                     <tr height="32" align="left">
            <th nowrap="nowrap" width="6%">Si No</th>
            <th nowrap="nowrap" width="24%">Sale Date </th>
            <th nowrap="nowrap" width="35%">Sale No </th>
            
            <th nowrap="nowrap" width="35%">GST No. </th>
            
           
            
            <th nowrap="nowrap" width="18%">Invoice Value </th>
            <?php $sqlc="SELECT distinct cgst FROM tbl_sales_detail order by cgst";
							//echo $sqlc;
							$c=mysql_query($sqlc);
							if(mysql_num_rows($c)>0){
							while($cs=mysql_fetch_array($c))
							{?>
            <th nowrap="nowrap" width="18%">Taxable value @<?=$cs["cgst"];?> </th>
			<?php }}?>
            
            
                     </tr>
            <?php
				while($rows=mysql_fetch_assoc($res_viewtmp))
					{
					$item_id=$rows["item_id"];	
					$unit_id=$rows["unit_id"];
					$client_id=$rows["client_id"];	
						
					$sql_it="select * from tbl_item where id='$item_id'";
				$res_it=mysql_query($sql_it);
				$rsit=mysql_fetch_array($res_it);
					
					$sql_ut="select * from tbl_unit where id='$unit_id'";
				$res_ut=mysql_query($sql_ut);
				$rsut=mysql_fetch_array($res_ut);
				
					
			?>
           
            <tr height="32">
            <td nowrap="nowrap" width="6%"><?php echo $i++;?></td>
           
		    <td nowrap="nowrap" width="24%"><?php echo $objIms->IntToDate($rows["stampdate"]);?></td>
		    
		    <td nowrap="nowrap" width="35%"><?php echo $rows["sale_no"];?></td>		    
            <td nowrap="nowrap" width="35%"><?php echo $rows["tin_no"];?></td>
            
            
            <td nowrap="nowrap" width="18%"><?php echo $taxval=round($rows["taxvalue"]);$tottaxval+=$taxval;?></td>
            
           <?php $sqlc="SELECT distinct cgst FROM tbl_sales_detail order by cgst";
							//echo $sqlc;
							$c=mysql_query($sqlc);
							if(mysql_num_rows($c)>0){
							while($cs=mysql_fetch_array($c))
							{?> <td nowrap="nowrap" width="18%"><?php echo $cgstval=round(callvalue($rows["sale_no"],$cs["cgst"]),2);$totcgst+=$cgstval;?></td>
             <?php }}?>
            
            </tr>
            
            <?php }?>
			<tr height="32">
              <td colspan="4" nowrap="nowrap"><div align="right"><strong>Total : </strong></div></td>
              <td nowrap="nowrap"><strong><?php echo $tottaxval;?></strong></td>
              
              <?php $sqlc="SELECT distinct cgst FROM tbl_sales_detail order by cgst";
							//echo $sqlc;
							$c=mysql_query($sqlc);
							if(mysql_num_rows($c)>0){
							while($cs=mysql_fetch_array($c))
							{?> <td nowrap="nowrap"><strong><?php echo round(callvaluetotal($s_date,$end_date,$client_id,$cs["cgst"]),2);?></strong></td>
              <?php }}?>
              
            </tr>   
           </table>
		   </div>
		   </div>
		   </div>
    <?php }
	else
	{
	echo '<span style="color:#FF0000">No Data Found</span>';
	}
	}?>
	
		

   
<p></p>
		<br />
        


</div>
<br />

<div align="center"><span class="btn btn-info" onClick="printDiv('printableArea')">Print</span> &nbsp;&nbsp;<button id="btnExport" class="btn btn-success">Export to Excel</button></div>
</body>
</html>
